## ros-lunar-arbotix-python 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(arbotix_python)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

install(DIRECTORY demos
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS bin/arbotix_driver
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-arbotix-python (0.10.0-0xenial) xenial; urgency=high

  * Set queue_size=5 on all publishers
  * Contributors: Jorge Santos

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 14 Jul 2014 04:00:00 -0000

ros-lunar-arbotix-python (0.9.2-0xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 12 Feb 2014 05:00:00 -0000

ros-lunar-arbotix-python (0.9.1-0xenial) xenial; urgency=high

  * set velocity when in sim/fake mode
  * Added set_speed service to servo controller
  * Added 'set spd' option to arbotix_terminal

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 28 Jan 2014 05:00:00 -0000

ros-lunar-arbotix-python (0.9.0-0xenial) xenial; urgency=high

  * Add new enable service
  * remove roslib manifest loading
  * remove old dynamixels block, closes #6 <https://github.com/vanadiumlabs/arbotix_ros/issues/6>
  * Warn of extra joints in joint trajectory, but only fail when missing a joint we control

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-lunar-arbotix-python (0.8.2-0xenial) xenial; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 28 Mar 2013 04:00:00 -0000

ros-lunar-arbotix-python (0.8.1-0xenial) xenial; urgency=high

  * fix depend for proper release

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 09 Mar 2013 05:00:00 -0000

ros-lunar-arbotix-python (0.8.0-0xenial) xenial; urgency=high

  * fix follow controller issues with zeros in header timestamps, cleanup logging a bit
  * import drivers and catkinize

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 21 Feb 2013 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-arbotix-python
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://ros.org/wiki/arbotix_python
Standards-Version: 3.9.2

Package: ros-lunar-arbotix-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-lunar-actionlib, ros-lunar-arbotix-msgs, ros-lunar-control-msgs, ros-lunar-diagnostic-msgs, ros-lunar-geometry-msgs, ros-lunar-nav-msgs, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-tf
Description: Bindings and low-level controllers for ArbotiX-powered robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-arbotix-python//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
